﻿.container {
    max-width: 1200px;
    margin: auto;
}

body div .allcontent {
    margin-left: auto;
    margin-right: auto;
}

.content-area {
    padding-left: 225px;
    max-width: 1000px;
}

li {
    list-style-type: none;
}

ul {
    margin: 0;
    padding: 0;
}

h1 {
    font: 30px Raleway;
}

h2 {
    font: 24px Raleway;
    text-align: center;
    border-bottom: 1px solid #333333;
    padding: 20px;
    margin: 0px auto 40px;
    display: block;
    width: 225px;
}
a[name] {
    text-decoration: none;
    color: inherit;
}

p {
    font: 300 16px Lato;
}

nav {
    position: fixed;
    width: 185px;
    float: left;
    background-color: #333333;
    color: #ffffff;
}

.title {
    text-decoration: none;
    color: #ffffff;
}
 .title:hover {
    text-decoration: none;
    color: #ffffff;
}
.logo {
    border: 3px solid #ffffff;
    margin: 20px;
    text-align: center;
}

    .logo > span:first-child {
        display: block;
        margin-top: 10px;
    }

    .logo > span:last-child {
        display: block;
        margin-bottom: 10px;
    }

    .logo img {
        width: 100px;
        margin: 20px;
    }

nav div {
    font: 16px Raleway;
}

.description {
    width: 145px;
    text-align: center;
    margin: 20px auto;
    padding: 20px 0px;
    border-bottom: 1px solid #ffffff;
}


.navlinks a {
    display: block;
    text-align: center;
    color: #ffffff;
    text-decoration: none;
    padding: 10px;
}
.navlinks a:hover {
   background-color: #ff9966;
}
.navlinks a:active {
   background-color: #99cccc;
}

.connectlinks {
    display: flex;
}
.connectlinks img {
    height: 25px;
}

.connectlinks li {
    text-align: center;
    padding: 0px 18px;
    margin: 40px 0px 20px;
}

.hero-img img {
    width: 100%;
}

section {
    margin: 20px 0px;
}

.portfolio-blocks li {
    float: left;
    text-align: left;
    margin-right: 45px;
    margin-bottom: 45px;
    font: 300 24px Raleway;
    position: relative;
    overflow: hidden;
}
    .portfolio-blocks li a {
        display: block;
        height: 215px;
        width: 215px;
        color: #ffffff;
        text-decoration: none;
        padding: 20px;
    }
    .portfolio-blocks li a .project-tags {
    display: none;
}
    .portfolio-blocks li:hover a .project-tags {
    display: inline;
}
    .portfolio-blocks li a .project-tags span {
    position: relative;
        z-index: 1;
}
    .portfolio-blocks li:hover a .project-title {
    display: none;
}
     .portfolio-blocks li a .project-tags img {
    position: absolute;
    z-index: 0;
    top: 0px;
    left: 0px;
    -webkit-animation: portfolioslide 0.3s ease; 
    animation: portfolioslide 0.3s ease;
}
@-webkit-keyframes portfolioslide {
    from {top: -215px; opacity:0;}
    to {top: 0px; opacity:1;}
}

@keyframes portfolioslide {
    from {top: -215px; opacity:0;}
    to {top: 0px; opacity:1;}
}


  /*   .portfolio-blocks li:hover:first-child {
         display: none;
         padding: 0px;
  }
      .portfolio-blocks li span img {
        position: absolute;
         display: block;
         padding: 0px;
  } */
.portfolio-blocks {
    margin-right: -45px;
    margin-bottom: -45px;
}
/*.project-title:hover {
    visibility: hidden;
} */


.black-box {
    background-color: #333333;
}

.blue-box {
    background-color: #99cccc;
}

.pink-box {
    background-color: #ff9966;
}

.fullsize {
    width: 1000px;
    margin: auto;
}

.service-icons li {
    text-align: center;
    font: 16px Raleway;
}

    .service-icons li img {
        margin: 40px 0px;
        height: 125px;
    }
    .contact-joshua {
        display: block;
        margin: 40px 0px;
        font: 16px Raleway;
        text-align: center;
    }

footer {
    background-color: #333333;
    padding-top: 90px;
    padding-bottom: 20px;
    color: #ffffff;
    text-align: center;
    font: 300 16px Lato;
    margin-top: 40px;
}

    footer span {
        color: #ff9966;
    }



@media (max-width: 1000px) {
    body {
        margin: 0px;
    }
    .container {
        width: 100%;
        margin: 0px;
        padding: 0px;
    }

    .fullsize {
        width: 100%;
        margin: auto;
    }

    .allcontent {
        margin: unset;
    }

    nav {
        margin: 0px;
        width: 100%;
        height: 50px;
        clear: both;
        display: inline;
        z-index: 1;
        text-align: center;
    }

        nav div {
            font: 16px Raleway;
        }

    .navlinks a {
        display: none;
    }

    h1 {
        width: 100%;
    }

    .logo {
        border: none;
        margin: auto;
        display: block;
    }

        .logo > span:first-child {
            display: inline-block;
            margin-top: 0px;
            line-height: 50px;
        }

        .logo > span:last-child {
            display: inline-block;
            margin-bottom: 0px;
            line-height: 50px;
        }

        .logo img {
            display: none;
        }

    .description {
        display: none;
    }


    .connectlinks img {
        height: 25px;
    }

    .connectlinks li {
        display: none;
    }

    .content-area {
        margin-top: 0px;
        padding-left: 0px;
    }

    .hero-img img {
        margin-top: 50px;
        width: 100%;
    }
     ul {
     width: 100%;
 }
}